# Tests writing a new record
zed: put r2 = r

input: |
  #0:record[r:record[s:string]]
  0:[[hello;]]
  0:[[world;]]

output-flags: -f tzng

output: |
  #0:record[r:record[s:string],r2:record[s:string]]
  0:[[hello;][hello;]]
  0:[[world;][world;]]
